package util;

import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.ResourceBundle;


public class Constant {

	public static String CURRENT_ACCOUNT = "$CURRENT_ACCOUNT$";

	public static ResourceBundle mailBundle = ResourceBundle.getBundle("mail");
	public static String mailHost = mailBundle.getString("mail.host");
	public static String mailUsername = mailBundle.getString("mail.username");
	public static String mailPassword = mailBundle.getString("mail.password");
	public static String mailContentType = mailBundle.getString("mail.content_type");
	public static String mailList = mailBundle.getString("mail.list");
	public static String mailprod = mailBundle.getString("mail.prod");
	public static String mailtestUser = mailBundle.getString("mail.test");
	public static List<String> mlist = Arrays.asList(mailList.split(","));
	public static String mailValidTime = mailBundle.getString("mail.valid_time");

	public static ResourceBundle commonBundle = ResourceBundle.getBundle("common");
	public static String reportUrl = commonBundle.getString("report.url");
	public static String importTempUrl = commonBundle.getString("import.temp.url");
	public static String adiUrl = commonBundle.getString("adi.url");

	public static ResourceBundle redis = ResourceBundle.getBundle("redis");
	public static String REDIS_KEY_VALID_TIME = redis.getString("redis.key.validtime");
	public static String REDIS_IP_REQUEST_TIMES = redis.getString("redis.ip.requesttimes");
	public static String REDIS_IP_UNKNOWN_REQUEST_TIMES = redis.getString("redis.ip.unknown.requesttimes");

	public static ResourceBundle resourceBundle = ResourceBundle.getBundle("db");
	public static String dburl = resourceBundle.getString("db.url");
	public static String dbusername = resourceBundle.getString("db.username");
	public static String dbpassword = resourceBundle.getString("db.password");
	public static String dbdriver = resourceBundle.getString("db.driver");
	public static Long tkioPriceLevelNotLimit = 20L;





}
